[package]
name = "dubp-block-doc"
version = "0.1.0"
authors = ["elois <elois@ifee.fr>"]
description = "Handles DUBP block (DUBP: DUniter Blockhain Protocol)."
repository = "https://git.duniter.org/nodes/rust/duniter-rs"
readme = "README.md"
keywords = ["dunitrust", "duniter", "blockchain", "cryptocurrency", "block"]
license = "AGPL-3.0"
edition = "2018"

[lib]
path = "src/lib.rs"

[dependencies]
dubp-common-doc = { path = "../common-doc"} #, version = "0.1.0" }
dubp-currency-params = { path = "../currency-params", version = "0.2.0" }
dubp-user-docs = { path = "../user-docs", version = "0.14.0" }
dup-crypto = { path = "../../crypto", version = "0.7.0" }
durs-common-tools = { path = "../../tools/common-tools", version = "0.2.0" }
failure = "0.1.5"
json-pest-parser = { path = "../../tools/json-pest-parser", version = "0.2.0" }
pest = "2.1.0"
pest_derive = "2.1.0"
serde = "1.0.*"
serde_derive = "1.0.*"
serde_json = "1.0.*"
log = "0.4.*"
unwrap = "1.2.1"

[dev-dependencies]
pretty_assertions = "0.6.1"
dubp-user-docs-tests-tools = { path = "../../tests-tools/user-docs-tests-tools" }

[features]